<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
    <variable
        name="vm"
        type="com.example.beijing_daxing.vm.BFWm" />
        <import type="android.view.View"/>
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/bg1"
        android:orientation="vertical"
        tools:context=".BFActivity">


        <TextView
            style="@style/title_text"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:text="轮挡报废" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="扫描RFID:" />

            <TextView
                style="@style/san_text"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="@={vm.epc}" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="生产批次:" />

            <TextView
                style="@style/info_text1"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="@={vm.pcode}" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_marginTop="10dp"
            android:layout_height="45dp">
            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="轮挡状态:" />
            <TextView
                style="@style/info_text1"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="@={vm.state}"/>
        </LinearLayout>



         <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="选择原因:" />

            <Spinner

                style="@style/info_text"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:textAlignment="center"
                android:onItemSelected="@{vm.itemSelect}"
               android:entries="@array/bfyy"/>
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:visibility="@{vm.editState?View.VISIBLE:View.GONE}"
            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="45dp"
                android:layout_gravity="center"
                android:text="输入其他:" />

            <EditText
                style="@style/info_text"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:text="@={vm.remark}" />
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_marginTop="15dp"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:orientation="horizontal">

            <ImageButton
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginEnd="5dp"
                android:layout_weight="1"
                android:src="@mipmap/icon_cromer"
                android:onClick="bfTackPhoto"/>
            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:layout_marginLeft="10dp">
                <Button
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:onClick="bfShowPhoto"
                    android:text="查看照片"/>

                <TextView
                    android:id="@+id/bf_picture_number"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_gravity="right"
                    android:background="@drawable/bg_number"
                    android:gravity="center"
                    android:text="0"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    />
            </FrameLayout>

        </LinearLayout>
        <Button
            style="@style/button_style"
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_marginTop="10dp"
            android:onClick="bf_submit"
            android:text="标记报废" />

    </LinearLayout>
</layout>